Bug 714277 - Consider redesigning Administration-->Templates UI
Consider redesigning Administration-->Templates UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
4.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Sunil Kondkar
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-06-17 14:57 EDT by Mike Foley
Modified: 2012-02-07 14:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 4,1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-06-17 14:57:53 EDT
Description of problem:  Consider redesigning Administration-->Templates UI.  There are 2 sets of issues:

1) from a usability perspective, it is unique ui pattern to have buttons and functionality only apparent on mouse-over (this is for the alert templates and metric templates).  it can confuse an end-user by hiding functionality.

2) from a testability perspective, it is difficult to automate this.  i could not in selenium or in sahi.  workaround is to use _navigateTo() to go to the URL that clicking that button would take you to, but dgao points out that this is not satisfactory as it does not test the button.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Administration-->Templates
2.  mouse-over the lines in the listview to display buttons
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Shaughnessy 2011-10-15 14:08:54 EDT
There has been some restructuring of the template page in order to 
accommodate the new drift definition templating.  Instead of trying to
jam another kind of template into the single page it has been broken up
into dedicated pages for each type of template.  As part of the 
restructuring I removed the rollover approach in favor of static edit
icons (which, by the way, is an approach that's working its way into
the gui, Drift Definitions view also makes use of a statically placed
edit icon for each row.

The new pages should be less congested, more transparent, and be more 
easily tested with automation.
Comment 2 Jay Shaughnessy 2011-10-15 14:10:22 EDT
master commit b1c646d841e75fb1294010783196ed0ffabe690a

note - drift template work is still in progress, alert def and metric
pages should be working as expected.
Comment 3 Mike Foley 2011-10-18 11:52:33 EDT
i have added a regression test of alert templates and metric collection templates to qe sprint #8.  http://pad.engineering.redhat.com/jon-QE-sprint8
Comment 4 Heiko W. Rupp 2011-10-18 12:00:48 EDT
This does not work for me as soon as the entry has sub-entries or is within a folder 
E.g. none of JBossAS5 nor its sub-resource types can be edited.

Top level entries like e.g. hosts work.
Comment 5 Jay Shaughnessy 2011-10-21 16:01:11 EDT
commit 81ffe989f176ab7e38641032cbf49f3d9af684cd

- fix problem with inactive edit icons
- also, disable edit for drift if drift is not enabled for the type
- also, disable edit for metrics if no metrics defined for the type
Comment 6 Mike Foley 2011-10-21 17:12:56 EDT
sprint #8 task for sunil
Comment 7 Mike Foley 2011-11-08 10:25:37 EST
from Sunil's daily status report:


Testing Administration->Metric Collection Templates

Added 10 test cases to TCMS on Alerts definition templates:

https://tcms.engineering.redhat.com/plan/3299/#reviewcases
Comment 8 Mike Foley 2011-11-14 09:29:08 EST
from Sunil's daily status report ...

Tested Administration->Metric Collection Templates. Created and executed
below test run in TCMS.
https://tcms.engineering.redhat.com/run/30794/?from_plan=3299
Comment 9 Sunil Kondkar 2011-11-18 08:59:40 EST
Verified below templates:

Administration->Metric Collection Templates
Administration->Alerts definition templates
Administration->Drift Definition Templates

Marking as verified.
Comment 10 Mike Foley 2012-02-07 14:27:14 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.